유형(의미론적, 일화적, 절차적, 분류학적)별로 장기 기억을 검색합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다. 유형은 검색 엔드포인트를 선택합니다. 유형별 필드 유효성 검사 대상 유형이 허용하지 않는 필드를 거부합니다.
POST /api/v1/projects/{id}/memory/ 검색
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/search' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: string" \
--data '{
"dedup_threshold": 42.0,
"deduplicate": true,
"domain": "string",
"metadata_filter": {},
"query": "string",
"rank": true,
"session_id": "string",
"similarity_threshold": 42.0,
"tags": [
"string"
],
"top_k": 42,
"type": "string",
"user_id": "string",
"visibility": "string"
}'
요청 예시
# Headers
Idempotency-Key: string
# Payload
{
"dedup_threshold": 42.0,
"deduplicate": true,
"domain": "string",
"metadata_filter": {},
"query": "string",
"rank": true,
"session_id": "string",
"similarity_threshold": 42.0,
"tags": [
"string"
],
"top_k": 42,
"type": "string",
"user_id": "string",
"visibility": "string"
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{}
응답 예시(200)
{}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}